
:root {
    --orange: #ff7b00;
}

html {
    position: relative;
    font-family: Ubuntu, "Helvetica Neue", Helvetica, sans-serif;
    overflow-x: hidden;
}

body {
    position: relative;
	font-family: Ubuntu, "Helvetica Neue", Helvetica, sans-serif;
    margin: 0;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: transparent;
    background: url('../images/background.jpg');
    background-size: 100% 100%;
    background-attachment: fixed;
}

::-webkit-scrollbar {
	width: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--orange);
}

::-webkit-scrollbar-track {
    background-color: #F5F5F5;
}

.filter {
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.8));
}

audio {
    display: none;
}

#audioWrapper {
    position: fixed;
    bottom: 0;
    width: 100%;
    color: white;
    background-color: rgba(0, 0, 0, 0.4);
    height: 6rem;
    line-height: 6rem;
}

#audioText {
    position: absolute;
    left: 18rem;
    animation: move 5s linear infinite;
    -o-animation: move 5s linear infinite;
    -webkit-animation: move 5s linear infinite;
    -moz-animation: move 5s linear infinite;
    font-size: 1.2rem;
    text-shadow: 0px 4px 3px rgba(0,0,0,0.4),
             0px 8px 13px rgba(0,0,0,0.1),
             0px 18px 23px rgba(0,0,0,0.1);
}

#audioWrapper i {
    font-size: 2rem;
    color: var(--orange);
    z-index: 9999;
}

#pause {
    margin-left: 5rem;
}

#play {
    margin: 0 2rem;
    opacity: .3;
    pointer-events: none;
}

#closeAudio {
    margin-left: 2rem;
}

@keyframes move {
    0% {
        left: 18rem;
    }
    100% {
        left: 85%;
    }
}

@-moz-keyframes move {
    0% {
        left: 18rem;
    }
    100% {
        left: 85%;
    }
}

@-webkit-keyframes move {
    0% {
        left: 18rem;
    }
    100% {
        left: 85%;
    }
}

@-o-keyframes move {
    0% {
        left: 18rem;
    }
    100% {
        left: 85%;
    }
}

#progressContainer {
    position: fixed;
    top: 0;
    z-index: 1000;
    width: 100%;
    height: 8px;
}

#progressBar {
  height: 8px;
  background: var(--orange);
  width: 0;
  opacity: .6;
}

header {
    position: relative;
    width: 100%;
    height: 6rem;
    background-color: black;
    box-shadow: 0 1px 5px var(--orange);
}

#header {
    color: white;
    width: 100%;
    text-align: center;
}

#siteHeader {
    margin: 0;
    padding: .5rem 0;
    font-size: 3rem;
}

#logoWrapper {
    position: absolute;
    top: 4.5rem;
    width: 100%;
    display: flex;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    justify-content: center;
}

#logo {
    height: 6rem;
    width: 6rem;
    border-radius: 100px;
    box-shadow: 0 1px 5px var(--orange);
    background: black url("../images/movie.png") no-repeat center center;
    background-size: contain;
    pointer-events: none;
}

#breadcrumbs {
    display: none;
    position: fixed;
    left: 0;
    top: 1rem;
    z-index: 9999999;
    font-family: Helvetica, sans-serif;
    font-size: 14px;
    line-height: 1em;
    border-radius: 2px;
    overflow: hidden;
}

#breadcrumbs i {
    transform: scale(1.4);
}

#breadcrumbs ul {
    display: flex;
    justify-content: flex-end;
    flex-direction: row-reverse;
    list-style: none;
    margin: 0;
    padding: 0;
}

#breadcrumbs ul li {
    margin: 0;
}

#contentPoster {
    width: 4rem;
    margin-left: -20px;
    border-radius: 0 100px 100px 0;
}

#breadcrumbs ul li span {
    display: inline-block;
    font-family: sans-serif;
    font-size: 0.9em;
    font-weight: 600;
    padding: 12px 30px 12px 45px;
    margin-left: -20px;
    color: white;
    background-color: var(--orange);
    border-radius: 0 100px 100px 0;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
}

#breadcrumbs ul li:first-child span {
    box-shadow: none;
}

#typeOfContent {
    pointer-events: none;
}

#socialsBtn {
    z-index: 99999;
    position: fixed;
    bottom: 2rem;
    left: 1rem;
}

#social {
    background-color: var(--orange);
    border-radius: 50%;
    font-size: 1.7rem;
    padding: 8px;
}

#socials {
    opacity: 0;
    pointer-events: none;
    position: fixed;
    left: 0;
    bottom: 2rem;
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    align-items: center;
    z-index: 99999;
}

#socials.on {
    opacity: 1;
    pointer-events: all;
    left: 4.5rem;
    transition: .2s;
    -webkit-transition: .2s;
    -o-transition: .2s;
    -moz-transition: .2s;
}

#socials a {
    width: 2rem;
    height: 2rem;
    text-align: center;
    padding: 8px;
    transition: .2s;
    -webkit-transition: .2s;
    -o-transition: .2s;
    -moz-transition: .2s;
    background-color: var(--orange);
    color: black;
    transition: .2s;
    -webkit-transition: .2s;
    -o-transition: .2s;
    -moz-transition: .2s;
    line-height: 2.3rem;
}

#socials i {
    font-size: 1.5rem;
}

#facebook {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

#linkedin {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

h1 {
	text-align: center;
	margin-top: 2rem;
}

.btnWrapper {
    position: relative;
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 3rem;
    margin-top: 1rem;
    width: 100%;
}

.sortNameBtn {
    font-size: 3rem;
    color: var(--orange);
    margin-right: 1rem;
}

.sortDateBtn {
    font-size: 3rem;
    color: var(--orange);
    margin-left: 1rem;
    margin-right: 1rem;
}

.mcuBtn {
    width: 130px;
    height: 65px;
}

.dceuBtn {
    width: 100px;
    height: 52px;
}

button {
    border: none;
    background: none;
    outline: none;
    padding: .6rem;
    margin: 1rem;
    border-radius: 5px;
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.8)); 
    color: var(--orange);
    font-weight: 600;
    font-size: 1rem;
    font-family: Ubuntu, "Helvetica Neue", Helvetica, sans-serif;
}

.searchContainer {
    opacity: 0;
    pointer-events: 0;
    width: 100%;
    text-align: center;
    margin-top: 8rem;
    z-index: 9999;
}

.chosenSearch {
    top: -3rem;
}

.searchContant {
    position: relative;
    width: 60%;
    margin: auto;
}

#searchResults {
    display: none;
    position: absolute;
    background-image: linear-gradient(-180deg, var(--orange), white);
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    height: 25rem;
    overflow-y: scroll;
    overflow-x: hidden;
    width: 100%;
    z-index: 99999;
}

#search {
    border: none;
    border-bottom: 1px solid #ccc;
    width: 100%;
    height: 2rem;
    text-indent: 1rem;
    font-size: 1.3rem;
    outline: none;
    background: none;
    color: lightgray;
}

#search::placeholder {
    color: lightgray;
}

#search:focus {
    outline: none;
}

#search ~ .focus-border {
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: var(--orange);
    transition: .4s;
    -webkit-transition: .4s;
    -moz-transition: .4s;
    -o-transition: .4s;
}

#search:focus ~ .focus-border {
    width: 100%;
    transition: .4s;
    -webkit-transition: .4s;
    -moz-transition: .4s;
    -o-transition: .4s;
    left: 0;
}

.resultRow {
    display: flex;
    box-sizing: border-box;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    margin: 1rem;
}

.resultPoster {
    width: 80px;
    border-radius: 5px;
}

.resultName {
    width: 50%;
    font-size: 1.5rem;
}

.resultDate, .knownFor {
    width: 20%;
    font-size: 1.5rem;
}

.loader {
    display: flex;
    justify-content: center;
}
.loaderContainer {
    position: relative;
    display: flex;
    align-items: center;
    height: 40px;
}
.loaderFilm {
    position: absolute;
    top: -30px;
    left: 0;
    display: flex;
}
.loaderFilmImg {
    animation: rotate 1.5s linear infinite;
    -moz-animation: rotate 1.5s linear infinite;
    -o-animation: rotate 1.5s linear infinite;
    -webkit-animation: rotate 1.5s linear infinite;
}

@keyframes rotate {
    from {
        transform: rotate(0);
   }
    to {
        transform: rotate(360deg);
   }
}

@-moz-keyframes rotate {
    from {
        transform: rotate(0);
   }
    to {
        transform: rotate(360deg);
   }
}

@-o-keyframes rotate {
    from {
        transform: rotate(0);
   }
    to {
        transform: rotate(360deg);
   }
}

@-webkit-keyframes rotate {
    from {
        transform: rotate(0);
   }
    to {
        transform: rotate(360deg);
   }
}

#spinnerWrapper {
    position: fixed;
    top: 14rem;
    width: 100%;
    display: inline-block;
    text-align: center;
    vertical-align: top;
    z-index: 99999999;
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.8));
}

h2 {
	font-size: 4rem;
	text-align: center;
    display: block;
    width: 100%;
    color: var(--orange);
}

.typeheader {
    position: sticky;
    top: 0;
    z-index: 999;
    background-color:rgba(0, 0, 0, 0.3);
}

p {
    width: 100%;
}

.container {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
}

.headerLogo {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -25px;
    margin-top: -30px;
    height: 60px;
    width: 50px;
    padding: 0 5px;
}

#menuOpenWrapper {
    position: fixed;
    width: 2rem;
    height: 2rem;
    top: 2rem;
    right: 2rem;
    transition: .2s;
    -webkit-transition: .2s;
    -moz-transition: .2s;
    -o-transition: .2s;
    z-index: 99999999;
}

#toggle {
    width: 45px;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    transition: .2s;
    -webkit-transition: .2s;
    -moz-transition: .2s;
    -o-transition: .2s;
}

#toggle span {
    display: block;
    position: absolute;
    height: 6px;
    width: 50%;
    background: var(--orange);
    opacity: 1;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .2s ease-in-out;
    -moz-transition: .2s ease-in-out;
    -o-transition: .2s ease-in-out;
    transition: .2s ease-in-out;
}

#toggle span:nth-child(even) {
    left: 40%;
    border-radius: 0 9px 9px 0;
}

#toggle span:nth-child(odd) {
    left: 0px;
    border-radius: 9px 0 0 9px;
}

#toggle span:nth-child(1), #toggle span:nth-child(2) {
    top: 0px;
}

#toggle span:nth-child(3), #toggle span:nth-child(4) {
    top: 16px;
}

#toggle span:nth-child(5), #toggle span:nth-child(6) {
    top: 32px;
}

#toggle.on span:nth-child(1),#toggle.on span:nth-child(6) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

#toggle.on span:nth-child(2),#toggle.on span:nth-child(5) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

#toggle.on span:nth-child(1) {
    left: 5px;
    top: 9px;
}

#toggle.on span:nth-child(2) {
    left: calc(50% - 5px);
    top: 9px;
}

#toggle.on span:nth-child(3) {
    left: -50%;
    opacity: 0;
}

#toggle.on span:nth-child(4) {
    left: 100%;
    opacity: 0;
}

#toggle.on span:nth-child(5) {
    left: 5px;
    top: 27px;
}

#toggle.on span:nth-child(6) {
    left: calc(50% - 5px);
    top: 27px;
}

#toggle.on + #menu {
    opacity: 1;
    visibility: visible;
}

#menu {
    position: absolute;
    right: -.84rem;
    top: 3.5rem;
    color: #999;
    width: 250px;
    padding: 10px;
    margin: auto;
    text-align: center;
    border-radius: 4px;
    background: lightgray;
    opacity: 0;
    visibility: hidden;
    transition: .2s;
    -webkit-transition: .2s;
    -moz-transition: .2s;
    -o-transition: .2s;
    cursor: auto;
}

#menu:after {
  position: absolute;
  top: -15px;
  right: 7px;
  content: "";
  display: block;
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  border-bottom: 20px solid lightgray;
}

#menu ul {
    padding: 0;
    text-align: left;
    text-indent: 4rem;
    margin: 0;
}

#menu li {
    list-style-type: none;
    position: relative;
    color: black;
    line-height: 3rem;
    font-size: 1.3rem;
}

#menu li:not(:last-child) {
    border-bottom: 1px solid var(--orange);
}

.menuImg {
    width: 40px;
    height: 40px;
    position: absolute;
    top: .2rem;
    left: 0;
}

#comingSoonLink {
    height: 23px;
    top: .7rem;
}

#miscellaneousList {
    display: none;
}

#valiantLink {
    height: 45px;
}

.line {
    position: relative;
    overflow: visible;
    width: 80%;
    height: 2px;
    border-collapse: collapse;
    margin-bottom: 2rem;
}

.lineMarvel {
    background: linear-gradient(to right, transparent, red, transparent);
}

.lineMarvel span {
    background: url(../images/ironman.png) no-repeat 50% 50%;
    background-size: 70px 60px;
}

.lineDc {
    background: linear-gradient(to right, transparent, blue, transparent);
}

.lineDc span {
    background: url(../images/superman.png) no-repeat 50% 50%;
    background-size: 60px 60px;
}

.lineValiant {
    background: linear-gradient(to right, transparent, blue, transparent);
    margin-bottom: 4rem;
}

.lineValiant span {
    background: url(../images/valiant.png) no-repeat 50% 50%;
    background-size: 60px 60px;
}

.lineOthers {
    background: linear-gradient(to right, transparent, var(--orange), transparent);
}

.lineOthers span {
    background: url(../images/others.png) no-repeat 50% 50%;
    background-size: 60px 60px;
}

.lineAnimation {
    background: linear-gradient(to right, transparent, purple, transparent);
}

.lineAnimation span {
    background: url(../images/animation.png) no-repeat 50% 50%;
    background-size: 70px 70px;
    width: 100px;
    margin-left: -69px;
}

.lineAnimation .headerLogo {
    height: 70px;
    margin-top: -40px;
}

.lineTvShows {
    background: linear-gradient(to right, transparent, red, transparent);
    margin-bottom: 4rem;
}

.lineTvShows span {
    background: url(../images/shows.png) no-repeat 50% 50%;
    background-size: 60px 60px;
    width: 99px;
    margin-left: -69px;
}

.lineUpcoming {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.lineUpcoming span {
    background: url(../images/comingSoon.png) no-repeat 50% 50%;
    background-size: 90px 60px;
    width: 100px;
    margin-left: -69px;
}

.linePlayingNow {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.linePlayingNow span {
    background: url(../images/popcorn.png) no-repeat 50% 50%;
    background-size: 50px 60px;
    width: 100px;
    margin-left: -69px;
}

.linePopular {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.lineGenre {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.lineTrending {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.lineTrending span {
    background: url(../images/fire.png) no-repeat 50% 50%;
    background-size: 60px 60px;
    width: 100px;
    margin-left: -69px;
}

.linePopular span {
    background: url(../images/star.png) no-repeat 50% 50%;
    background-size: 60px 60px;
    width: 100px;
    margin-left: -69px;
}

.lineProvider {
    background: linear-gradient(to right, transparent, red, transparent);
    margin-bottom: 4rem;
}

.lineWishlist {
    background: linear-gradient(to right, transparent, gold, transparent);
    margin-bottom: 4rem;
}

.lineWishlist span {
    background: url(../images/wishlist.png) no-repeat 50% 50%;
    background-size: 60px 60px;
    width: 100px;
    margin-left: -69px;
}

.disneyPlus span {
    background: url(../images/disneyPlus.png) no-repeat 50% 50%;
    background-size: 110px 60px;
    width: 100px;
    margin-left: -69px;
}

.hboMax span {
    background: url(../images/hboMax.png) no-repeat 50% 50%;
    background-size: 271px 60px;
    width: 270px;
    margin-left: -137px;
}

.netflix span {
    background: url(../images/netflix.png) no-repeat 50% 50%;
    background-size: 60px 60px;
    width: 100px;
    margin-left: -69px;
}

.amazonPrime span {
    background: url(../images/amazonPrime.png) no-repeat 50% 50%;
    background-size: 150px 60px;
    width: 150px;
    margin-left: -91px;
}

.container {
    display: none;
    position: relative;
}

.moviesContent, #tvShowContent, #popularContent, #trendingContent {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    width: 100%;
}

.movieWrapper, .tvShowWrapper, .popularPerson, .trendingWrapper {
    position: relative;
    width: 9rem;
    margin: 1rem;
    text-align: center;
    transition: .2s;
    filter: drop-shadow(0 1px 4px rgba(10, 10, 10, 0.5));
}

.name, .date {
    font-size: .9rem;
    margin: .5rem 0 0 0;
    color: lightgray;
    font-weight: 600;
}

.year {
    color: lightgray;
    font-weight: 600;
}

.name::first-letter {
    font-size: 1.2rem;
    color: var(--orange);
}

.voteWrapper {
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    position: absolute;
    top: 9rem;
    right: -1rem;
    z-index: 1;
    text-align: center;
    line-height: 3rem;
    overflow: hidden;
}

.tvShowWrapper .voteWrapper {
    bottom: 8rem;
}

.voteBackground {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #272532;
    height: 100%;
}

.voteTextContent {
    position: absolute;
    text-align: center;
    width: 100%;
}

.vote {
    z-index: 1;
    font-size: 1rem;
    font-weight: 600;
    color: var(--orange);
}

.voteStar {
    color: yellow;
    position: absolute;
    top: .25rem;
    font-size: .8rem;
    left: .8rem;  
}

.movieImg, .tvShowImg, .popularPersonImg {
    width: 100%;
    height: 215px;
    border-radius: 5px;
    clip-path: polygon(30% 0%, 100% 0, 100% 30%, 100% 95%, 89% 100%, 0 100%, 0% 92%, 0 0);
    -ms-clip-path: polygon(30% 0%, 100% 0, 100% 30%, 100% 95%, 89% 100%, 0 100%, 0% 92%, 0 0);
    -o-clip-path: polygon(30% 0%, 100% 0, 100% 30%, 100% 95%, 89% 100%, 0 100%, 0% 92%, 0 0);
    -webkit-clip-path: polygon(30% 0%, 100% 0, 100% 30%, 100% 95%, 89% 100%, 0 100%, 0% 92%, 0 0);
}

#goToTopBtn {
    display: none;
    position: fixed;
    bottom: 2rem;
    right: 1rem;
    z-index: 9999;
    fill: var(--orange);
}

#timeline {
    display: none;
    margin-top: 6rem;
}

.timelineMovieWrapper {
    text-align: center;
}

.timelineMovieName, .timelineMovieDate {
    color: lightgray;
    font-weight: 600;
}

.timelineMovieName {
    width: 50%;
    margin: 1rem auto;
}

.timelineMovieImg {
    border-radius: 5px;
}

.poster {
    width: 150px;
}

.background {
    width: 350px;
}

#timelineContent {
    position: relative;
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
    flex-direction: column;
    width: 95%;
    margin: auto;
    margin-bottom: 7rem;
}

#timelineContent::after {
    content: "";
    position: absolute;
    top: 6rem;
    left: 50%;
    height: 98%;
    border-left: 2px solid var(--orange);
}

.timelineMovieWrapper:nth-child(odd) {
    align-self: flex-start;
}

.timelineMovieWrapper:nth-child(even) {
    align-self: flex-end;
}

footer {
    display: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: black;
    padding: 1rem;
    margin-top: 4rem;
}

footer span {
    color: lightgray;
}

#tmdbImg {
    width: 150px;
    margin-left: 1rem;
}

#chosenMovieTitle, #chosenPersonName {
    font-size: 2rem;
    width: 80%;
    margin: 0 auto 2rem auto;
}

#chosenMovie {
    display: none;
    margin-top: 4rem;
}

#chosenMovieImgWrapper, #chosenPersonImgWrapper, #personInstagramWrapper {
    text-align: center;
}

#personInstagramWrapper {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

#personInstagramImg {
    width: 50px;
}

#chosenMovieImg {
    width: 50%;
    border-radius: 5px;
}

#chosenMovieSentence {
    color: var(--orange);
    font-weight: 600;
    text-align: center;
}

#overview, .directorHeader, #castHeader, #similarHeader, #personCreditsHeader, #guestCastHeader, #episodeHeader {
    color: lightgray;
    font-weight: 600;
    text-align: center;
}

#episodeHeader {
    display: block;
    margin: 1rem 0;
}

#chosenMovieRuntime, #chosenMovieRevenue {
    display: none;
}

#seasons, #episodes {
    display: none;
}

#allSeasonsBtn, .seasonBtn, .episodeBtn, #seasonBackBtn, #episodeBackBtn {
    margin-left: 0;
}

.seasonBtn, .episodeBtn {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    background: var(--orange);
    color: black;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

#seasonBackBtn, #episodeBackBtn {
    display: block;
}

.longText {
    height: 2rem;
    overflow: hidden;
    filter: unset !important;
}

.overviewWrapper {
    position: relative;
}

.overviewHeader {
    font-size: 2rem !important;
    font-weight: 600 !important;
    text-align: center !important;
    color: var(--orange) !important;
}

.overviewArrowWrapper {
    position: absolute;
    bottom: -1.5rem;
    text-align: center;
    width: 100%;
}

.overviewArrow {
    font-size: 1.8rem;
    width: 1.8rem;
    line-height: 2rem !important;
    height: 1.8rem;
    color: black;
    background-color: lightgray;
    border-radius: 50%;
}

.turnArrow {
    bottom: -2.5rem;
}

.turnArrow .overviewArrow {
    transform: rotate(180deg);
}

#productionCompenies, #watchProviders {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

#watchProviders {
    margin-top: 2rem;
}

.companyImg, .watchProvider {
    width: 150px;
    margin: 1rem;
}

#movieDesc, #personOverviewWrapper {
    width: 80%;
    margin: 3rem auto;
}

#overview, .overviewText  {
    line-height: 1.4rem;
}

.overviewText {
    color: lightgray;
    font-weight: 600;
    text-align: center !important;
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.8));
}

.details {
    width: 50%;
    margin: auto;
}

#genresContent {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    align-items: center;
    margin-left: .5rem;
}

.genre {
    border-radius: 20px;
    padding: .2rem .3rem;
    margin: .5rem .2rem;
    background-color: var(--orange);
    color: black;
    font-size: 1rem;
}


#chosenMovieGenres {
    position: relative;
    text-align: left;
    color: lightgray;
    font-size: 1.2rem;
    font-weight: 600;
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    align-items: center;
}

.details p {
    text-align: left;
    color: lightgray;
    font-size: 1.2rem;
    font-weight: 600;
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.8));
}

.detailIcon {
    margin-right: .5rem;
}

.ratingSite {
    display: flex;
    box-sizing: border-box;
    align-items: center;
}

.ratingSite img {
    width: 1.3rem;
}

#directorsWrapper {
    display: none;
}

.actorImg, .similarMovieImg, .directorImg {
    width: 150px;
    height: 225px;
    border-radius: 5px;
}

.hoverEffect {
    transition: .2s;
    -webkit-transition: .2s;
    -moz-transition: .2s;
    -o-transition: .2s;
}

#directorContent {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.actorName, .similarMovieName, .actorMovieName {
    display: block;
    color: lightgray;
    font-weight: 600; 
}

.characterName {
    display: block;
    color: var(--orange);
    font-weight: 600; 
}

.actorName {
    margin: 1rem 0;
}

.similarMovieName, .actorMovieName {
    margin: 1rem 0 0 0;
}

.actor .characterName, #personMovies .characterName {
    margin: 1rem 0 2rem 0;
}

.chosenHeader {
    font-size: 2rem;
    color: var(--orange) !important;
}

.director {
    padding: 1rem;
}

.directorName {
    text-align: center;
}

.directorImdbLink {
    width: 50px;
    height: 50px;
}

.directorInstagramLink {
    width: 47px;
    height: 47px;
}

.linksWrapper, .directorLinksWrapper {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
    justify-content: center;
    width: 100%;
}

.linksWrapper {
    position: absolute;
    bottom: 1rem;
    left: 0;
}

.content {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: nowrap;
    -webkit-flex-wrap: nowrap;
    overflow-x: auto;
    width: 70%;
    margin: auto;
}

.actor {
    position: relative;
    padding: 1rem 1rem 3rem 1rem;
    text-align: center;
}

.credit {
    padding: 1rem;
    text-align: center;
}

.actorImdbLink {
    width: 40px;
}

.actorInstagramLink {
    width: 39px;
}

.imdbLinkWrapper {
    margin-right: 1rem;
}

.instagramWrapper {
    margin-left: 1rem;
}

#similarMovies {
    display: none;
    margin-top: 4rem;
}

#chosenMovieImagesWrapper {
    display: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
}

.movieGalleryImg {
    width: 300px;
    margin: 1rem;
    border-radius: 5px;
}

#videosWrapper {
    display: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
}

.movieVideo {
    margin: 2rem;
    border-radius: 10px;
    border: 8px solid black;
}

#chosenPerson {
    display: none;
    margin-top: 5rem;
}

#chosenPersonImg {
    width: 200px;
    border-radius: 5px;
}

#personImages, #personMovieImages {
    display: flex;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
}

.personPoster {
    width: 150px;
    border-radius: 5px;
    margin: 1rem;
}

.personMovieImg {
    width: 300px;
    border-radius: 5px;
    margin: 1rem;
}

.toggleSwitch {
    position: fixed;
    background: white;
    border-radius: 100%;
    z-index: 999;
    filter: drop-shadow(0 1px 4px rgba(100, 100, 100, 0.8));
}

#darkToggle {
    bottom: 6rem;
    left: 1rem;
}

.modeSwitch {
    z-index: 999;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 45px;
}

.modeSwitch i {
    width: 0;
    transition: all .2s;
    transform-origin: center;
    font-size: 1.5rem;
}

.modeSwitch .moon {
    opacity: 0;
}

.modeSwitch .sun {
    width: 30px;
}

.dark {
    background: black !important;
    filter: drop-shadow(0 1px 4px rgba(255, 255, 255, 1)) !important;
}

.dark .moon {
    opacity: 1;
    width: 30px;
}

.dark .sun {
    opacity: 0;
    width: 0;
}

.sun {
    color: #E5B200;
}

.moon {
    color: white;
}

/*------------------------Popups-------------------------*/
    
.popUpInfo {
    display: none;
    position: fixed;
    z-index: 100000000;
    width: 100%;
    height: 100%;
    min-height: 900px;
    background: rgba(210,220,225,.8);
    top: 0;
}

.popUpInfo h2 {
    font-size: 2rem;
}

.popupCont {
    display: block;
    position: fixed;
    width: 40rem;
    min-height: 25rem;
    background: #fff;
    padding: 1rem 2rem;
    top: 1%;
    left: 0;
    right: 0;
    margin: auto;
    border-radius: 10px;
    background: url('../images/background.jpg');
    color: lightgray;
    font-weight: 600;
    text-align: center;
}

.closeBtn {
    display: block;
    position: absolute;
    font-size: 2rem;
    top: 1rem;
    right: 1.5rem;
}

#nextCinematicFilmPop {
    text-align: center;
}

#nextCinematicTitle {
    display: block;
}

#nextCinematicImg {
    display: block;
    margin: 1rem auto 0 auto;
    width: 33%;
    border-radius: 5px;
    margin-bottom: 1rem;
}

#nextCinematicFilmPop .popupCont {
    max-height: 78vh;
}

#nextCinematicTitle::first-letter, #afterNextMovieTitle::first-letter {
    font-size: 1.2rem;
    color: var(--orange);
}

#afterNextMovieTitle {
    display: block;
    margin-top: 1rem;
}

@media only screen and (max-width: 1300px) {
    .resultName, .resultDate, .knownFor {
        font-size: 1.3rem;
    }
}

@media only screen and (max-width: 1000px) {

    #timelineContent {
        display: block;
        margin-bottom: 2rem;
    }

    .timelineMovieWrapper:not(:last-child) {
        margin-bottom: 3rem;
    }

    #timelineContent::after {
        display: none;
    }

    .popupCont {
        width: 70%;
    }

    .searchContant {
        width: 70%;
    }
}

@media only screen and (max-width: 880px) {

    .sortContent {
        width: 50%;
    }
}

@media only screen and (min-width: 765px) {
    
    #goHomeBtn:hover span {
        background-color: #ff8e24;
    }

    button, .pointer {
        cursor: pointer;
    }

    .hoverEffect:hover {
        transform: perspective(800px) rotateY(20deg) scale(1.05);
        -webkit-transform: perspective(800px) rotateY(20deg) scale(1.05);
        -moz-transform: perspective(800px) rotateY(20deg) scale(1.05);
        -ms-transform: perspective(800px) rotateY(20deg) scale(1.05);
        -o-transform: perspective(800px) rotateY(20deg) scale(1.05);
    }
    
    #facebook:hover {
        background: #3b5998; 
        color: white;  
    }

    #github:hover {
        background-color: white;
        color: black;
    }

    #linkedin:hover {   
        background: #0e76a8;   
        color: white;   
    }

    #marvelContainer button:hover {
        background: #FE5449;
    }

    #dcContainer button:hover {
        background: #466DFF;
    }

    #valiantContainer button:hover {
        background: yellow;
    }

    #othersContainer button:hover {
        background: #8B8BFE;
    }

    #animationContainer button:hover {
        background: #72EA72;
    }

    #tvShowContainer button:hover {
        background: #D67B6E;
    }

    #goToTopBtn:hover {
        fill: var(--orange);
    }
}

@media only screen and (max-width: 765px) {

    #menuOpenWrapper {
        top: 1rem;
    }

    #menu {
        top: 3rem;
    }

    #menu li {
        line-height: 2.5rem;
    }

    #breadcrumbs ul li span {
        padding: .7rem;
        margin-left: 0;
        border-radius: 0;
    }

    #searchResults {
        height: 20rem;
    }

    #nextCinematicImg {
        width: 40%;
    }

    .movieGalleryImg {
        width: 250px;
    }

    .movieVideo {
        width: 300px !important;
        height: 250px !important;
    }

    #chosenMovieImg {
        width: 80%;
    }

    .content {
        width: 90%;
    }
 
    .details {
        width: 90%;
    }

    #audioText {
        position: static;
        animation: unset;
        display: block;
    }

    #audioWrapper {
        height: unset;
        line-height: 2rem;
        text-align: center;
    }

    #pause {
        margin-left: unset;
    }
}

@media only screen and (max-width: 600px) {

    .details p {
        font-size: 1rem;
    }

    .sortContent {
        width: 75%;
    }

    .movieGalleryImg {
        width: 200px;
    }
}

@media only screen and (max-width: 500px) {

    header {
        height: 4.5rem;
    }
    
    #siteHeader {
        font-size: 2rem;
    }

    #logoWrapper {
        top: 3rem;
    }

    .resultName, .resultDate, .knownFor {
        font-size: 1.2rem;
    }

    .companyImg, .watchProvider {
        width: 100px;
    }

    .actorImg, .similarMovieImg {
        width: 100px;
        height: 160px;
    }

    .actorImdbLink {
        width: 30px;
    }

    .actorInstagramLink {
        width: 29px;
    }
}

@media only screen and (max-width: 480px) {

    #search {
        font-size: 1rem;;
    }

    .movieGalleryImg {
        width: 150px;
    }
}

@media only screen and (max-width: 400px) {

    #siteHeader {
        font-size: 1.5rem;
    }
    
    #menuOpenWrapper {
        right: 1rem;
    }

    #menu {
        top: 0;
        right: 2rem;
    }

    #menu li {
        line-height: 2rem;
    }

    .menuImg {
        top: 0;
        width: 30px;
        height: 30px;
    }

    #comingSoonLink {
        top: .3rem;
    }

    #valiantLink {
        height: 30px;
    }

    #miscellaneousLink {
        top: .2rem;
        height: 25px;
    }

    #wishlistLink {
        top: .2rem;
    }

    #menu:after {
        top: 12px;
        right: -17px;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 15px solid white;
        transform: rotate(90deg);
    }

    .searchContainer {
        margin-top: 6rem;
    }

    .searchContant {
        width: 80%;
    }

    .resultName, .resultDate, .knownFor {
        font-size: 1rem;
    }
    
    .background {
        width: 250px;
    }   

    .popUpInfo h2 {
        font-size: 1.5rem;
    }

    .movieGalleryImg {
        width: 90%;
    }
}

@media only screen and (max-width: 370px) {

    h2 {
        font-size: 3rem;
    }

    .movieWrapper, .tvShowWrapper, .popularPerson, .trendingWrapper {
        width: 8rem;
    }
}

@media only screen and (max-width: 350px) {

    .movieVideo {
        width: 290px !important;
        height: 240px !important;
    }

    .popUpInfo h2 {
        font-size: 1.2rem;
    }
}

@media only screen and (max-width: 340px) {
    #search {
        font-size: .9rem;
    }

    .movieWrapper, .tvShowWrapper, .popularPerson, .trendingWrapper {
        width: 7rem;
    }
}
